// file: pfil_cstr_0.cc
//
 
// isip include files
//
#include <integral_constants.h>
#include "param_file.h"
 
// method: destructor
//
// arguments: none
//
// return: none
//
// this is the default destructor for the Param_file class
//

Param_file::~Param_file() {

  // printf("Param_file destructor: %u\n", (uint_2)this);
  
  if (param_file_d != (char_1*)NULL) {
    delete [] param_file_d;
  }

  if ((num_params_d > 0) &&
      (params_d != (char_1**)NULL) &&
      (values_d != (char_1**)NULL)) { 
    
    for (int_4 i=0; i< num_params_d; i++) {
      delete [] values_d[i];
      delete [] params_d[i];
    }
  }
  if (params_d != (char_1**)NULL) {
    delete [] params_d;
  }
  if (values_d != (char_1**)NULL) {
    delete [] values_d;
  }

  if (parse_statement_format_d != (char_1*)NULL) {
    delete [] parse_statement_format_d;
  }

  if (load_statement_format_d != (char_1*)NULL) {
    delete [] load_statement_format_d;
  }
  
  if (magic_string_d != (char_1*)NULL) {
    delete [] magic_string_d;
  }

  // exit gracefully
  //
}


